/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomRangeException_H__
#define __GdomRangeException_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomRangeException GdomRangeException;
typedef struct _GdomRangeExceptionClass GdomRangeExceptionClass;


#define GDOM_TYPE_RANGE_EXCEPTION            (gdom_range_exception_get_type())
#define GDOM_RANGE_EXCEPTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_RANGE_EXCEPTION, GdomRangeException))
#define GDOM_RANGE_EXCEPTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_RANGE_EXCEPTION, GdomRangeException)Class)
#define GDOM_IS_RANGE_EXCEPTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_RANGE_EXCEPTION))
#define GDOM_IS_RANGE_EXCEPTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_RANGE_EXCEPTION))
#define GDOM_RANGE_EXCEPTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_RANGE_EXCEPTION, GdomRangeExceptionClass))

typedef struct _GdomRangeExceptionPrivate GdomRangeExceptionPrivate;

struct _GdomRangeException {
    GdomDOMObject parent_instance;
    GdomRangeExceptionPrivate *priv;
};

struct _GdomRangeExceptionClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_range_exception_get_type (void);

WEBKIT_API gchar *
gdom_range_exception_to_string (GdomRangeException *thiz);

G_END_DECLS

#endif /* __GdomRangeException_H__ */
